Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001664graphvizDotpublic2009-07-17 00:362013-10-22 10:42
ReporterKasia Hayden 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-linux-ubuntu9.04OS Version
Summary0001664: make error: libgvplugin_gd.so: undefined reference
Description



I get this error when I run make:



<CD>
...
../../plugin/gd/.libs/libgvplugin_gd.so: undefined reference to `gdImageCreateFromPng'
../../plugin/gd/.libs/libgvplugin_gd.so: undefined reference to `gdImagePngCtx'
../../plugin/gd/.libs/libgvplugin_gd.so: undefined reference to `gdImagePng'
collect2: ld returned 1 exit status
make[3]: *** [dot_builtins] Error 1
make[3]: Leaving directory `/usr/local/graphviz-2.24.0/cmd/dot'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/graphviz-2.24.0/cmd'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/graphviz-2.24.0'
make: *** [all] Error 2
</CD>






I couldn't find any files or directories with the names gdImageCreateFromPng, gdImagePngCtx or gdImagePng.






I made sure that I had graphviz-gd and all of its dependencies installed, before attempting to configure graphviz.
(I did all of this from source, so was able to check that everything installed as expected and with the necessary .h files and config files that graphviz would search for.)






This is what running ./configure produced, which made me expect graphviz would be able to find the needed png.h files in gd that I missed during my first attempt:



<CD>
...
graphviz-2.24.0 will be compiled with the following:



options:
  cgraph: No (disabled by default - experimental)
  codegens: No (disabled by default - deprecated)
  digcola: Yes
  expat: Yes
  fontconfig: Yes
  freetype: Yes
  glut: No (missing GL/glut.h)
  gts: No (gts library not available)
  ipsepcola: No (disabled by default - C++ portability issues)
  ltdl: Yes
  ortho: No (disabled by default - experimental)
  png: Yes
  sfdp: No (disabled by default - experimental)
  shared: Yes
  static: No (disabled by default)



commands:
  dot: Yes (always enabled)
  neato: Yes (always enabled)
  fdp: Yes (always enabled)
  circo: Yes (always enabled)
  twopi: Yes (always enabled)
  lefty: Yes (always enabled)
  gvpr: Yes (always enabled)
  smyrna: No (disabled by default - experimental)



plugin libraries:
  dot_layout: Yes (always enabled)
  neato_layout: Yes (always enabled)
  core: Yes (always enabled)
  devil: No (missing library)
  gd: Yes
  gdiplus: No (disabled by default - Windows only)
  gdk_pixbuf: No (gdk_pixbuf library not available)
  ghostscript: No (missing headers)
  glitz: No (disabled by default - incomplete)
  gtk: No (gtk library not available)
  lasi: No (lasi library not available)
  ming: No (disabled by default - incomplete)
  pangocairo: No (pangocairo library not available)
  quartz: No (disabled by default - Mac only)
  rsvg: No (rsvg library not available)
  visio: No (disabled by default - experimental)
  xlib: Yes
...
</CD>












More system info:
<CD>
Ubuntu 9.04 i686
Intel(R) Core(TM)2 Duo CPU T7250 @ 2.00GHz
DEB_BUILD_ARCH_OS=linux
DEB_BUILD_ARCH_CPU=i386
DEB_BUILD_GNU_CPU=i486
</CD>






Thanks for any direction or suggestions!
Kasia



Additional Information

Potentially related: When I typed in the "dot -version" command to get my graphviz version I got:

dot - graphviz version 2.24.0 (20090616.2323)
Unable to find even the default "-Tdot" renderer. Has the config
file been generated by running "dot -c" with installer's priviledges?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTinactive - presumed solved - requires gd >= 2.0.34
FORMER-ID1715
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.24
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:42 ellson FIX-COMMENT => inactive - presumed solved - requires gd >= 2.0.34
2013-10-22 10:42 ellson Status acknowledged => closed
2013-10-22 10:42 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker